Bug 186835 - some /dev/dvb/adapter device entries missing?
some /dev/dvb/adapter device entries missing?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 19:25 EST by Andy Burns
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-01 13:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Burns 2006-03-26 19:25:09 EST
Description of problem:
after loading saa7134_dvb module udev creates 
/dev/dvb/adapter0/{demux0,dvr0,frontend0,net0}

some software e.g. xine from the repo-that-must-not-be-mentioned
seems to expect the device video0, if I create a softlink
ln -s vdr0 video0
the software is happy, alternatively I could configure xine to use the name
/dev/dvb/adapter0/vdr0

should the saa7134_dvb module or udev be providing a "full" set of device nodes
/dev/dvb/adapter0/{audio0,ca0,demux0,dvr0,frontend0,net0,osd0,video0}
which I have seen other users have created for their DVB devices?

Version-Release number of selected component (if applicable):
kernel 2.6.16-1.2069_FC5
udev 084-13

How reproducible:
100% - but requires relevant hardware

Steps to Reproduce:
1. modprobe saa7134_dvb
2.  ls /dev/dvb/adapter0
  
Actual results:
]# ls -l /dev/dvb/adapter0
total 0
crwxrwxrwx 1 root video 212, 4 Mar 25 21:35 demux0
crwxrwxrwx 1 root video 212, 5 Mar 25 21:35 dvr0
crwxrwxrwx 1 root video 212, 3 Mar 25 21:35 frontend0
crwxrwxrwx 1 root video 212, 7 Mar 25 21:35 net0

n.b. permissions changed by hand

Expected results:
additional entries for audio0,video0,osd0,net0 ?

Additional info:
Card is a compro DVBT200, output from lspci
07:00.0 Multimedia controller: Philips Semiconductors SAA7130 Video Broadcast
Decoder (rev 01)
        Subsystem: Compro Technology, Inc. Unknown device c901
        Flags: bus master, medium devsel, latency 32, IRQ 20
        Memory at 50005c00 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [40] Power Management version 1
Comment 1 Andy Burns 2006-04-29 08:58:46 EDT
For the time being, I've resorted to creating a script to kick the detection of
the DVB device, create softlinks for the4 "missing" device nodes, and then set
(lazy/lax) file permissions

Let me know if I can supply any more info or test any tweaks ...

$cat /etc/sysconfig/modules/saa7134_dvb.modules

#!/bin/sh
modprobe saa7134_dvb >/dev/null 2>&1
for i in `ls -d /dev/dvb/adapter*` ; do
        cd /
	cd $i
        if [ ! -e video0 ] ; then
                ln -s dvr0 video0 ;
        fi
        chmod 777 *
done

Comment 2 Andy Burns 2007-04-01 13:53:22 EDT
Cleaning up my old bugs, this worked OK with FC6

Note You need to log in before you can comment on or make changes to this bug.